

drivers/block/pktcdvd.c: In function `pkt_generic_packet':
drivers/block/pktcdvd.c:307: warning: implicit declaration of function `pkt_lock_door'

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/pktcdvd.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/pktcdvd.h~pkt_lock_door-warning-fix include/linux/pktcdvd.h
diff -puN drivers/block/pktcdvd.c~pkt_lock_door-warning-fix drivers/block/pktcdvd.c
--- 25/drivers/block/pktcdvd.c~pkt_lock_door-warning-fix	2004-07-31 22:47:48.403755688 -0700
+++ 25-akpm/drivers/block/pktcdvd.c	2004-07-31 22:48:18.352202832 -0700
@@ -59,6 +59,8 @@ static struct pktcdvd_device *pkt_devs;
 static struct proc_dir_entry *pkt_proc;
 static struct gendisk *disks[MAX_WRITERS];
 
+static int pkt_lock_door(struct pktcdvd_device *pd, int lockflag);
+
 static struct pktcdvd_device *pkt_find_dev(request_queue_t *q)
 {
 	int i;
_
